Package org.apache.sysds.utils

# Enum Class Hash.HashType

java.lang.Object
java.lang.Enum<Hash.HashType>
org.apache.sysds.utils.Hash.HashType

All Implemented Interfaces:
  `Serializable`, `Comparable<Hash.HashType>`, `Constable`

Enclosing class:
  Hash

public static enum Hash.HashType extends Enum<Hash.HashType>
Available Hashing techniques

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ExpHash`
`LinearHash`
`StandardJava`

## Method Summary

Modifier and Type
Method
Description
`static Hash.HashType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Hash.HashType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### StandardJava

public static final Hash.HashType StandardJava

### LinearHash

public static final Hash.HashType LinearHash

### ExpHash

public static final Hash.HashType ExpHash

## Method Details

### values

public static Hash.HashType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Hash.HashType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null